commit:     6026b7564d8f8711c859e87416a5dc67cf011ab5
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Fri Dec  6 21:56:13 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  6 22:08:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6026b756

net-dns/knot: fix init script to /usr/sbin

Closes: https://bugs.gentoo.org/945988
Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Closes: https://github.com/gentoo/gentoo/pull/39613
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-dns/knot/files/{knot-2.init => knot-3.init}             | 2 +-
 net-dns/knot/{knot-3.4.2-r1.ebuild => knot-3.4.2-r2.ebuild} | 2 +-
 net-dns/knot/{knot-3.4.3.ebuild => knot-3.4.3-r1.ebuild}    | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/net-dns/knot/files/knot-2.init b/net-dns/knot/files/knot-3.init
similarity index 94%
rename from net-dns/knot/files/knot-2.init
rename to net-dns/knot/files/knot-3.init
index 746681496c53..907c328a58d0 100644
--- a/net-dns/knot/files/knot-2.init
+++ b/net-dns/knot/files/knot-3.init
@@ -21,7 +21,7 @@ extra_started_commands="reload"
 capabilities="^cap_net_bind_service,^cap_setpcap"
 
 checkconfig() {
-       /usr/bin/knotc conf-check 1>/dev/null || return 1
+       /usr/sbin/knotc conf-check 1>/dev/null || return 1
 }
 
 reload() {

diff --git a/net-dns/knot/knot-3.4.2-r1.ebuild 
b/net-dns/knot/knot-3.4.2-r2.ebuild
similarity index 98%
rename from net-dns/knot/knot-3.4.2-r1.ebuild
rename to net-dns/knot/knot-3.4.2-r2.ebuild
index f15285db8abe..3e4f6cadbe37 100644
--- a/net-dns/knot/knot-3.4.2-r1.ebuild
+++ b/net-dns/knot/knot-3.4.2-r2.ebuild
@@ -149,7 +149,7 @@ src_install() {
        if use daemon; then
                rmdir "${D}/var/run/${PN}" "${D}/var/run/" || die
 
-               newinitd "${FILESDIR}"/knot-2.init knot
+               newinitd "${FILESDIR}"/knot-3.init knot
                newconfd "${FILESDIR}"/knot.confd knot
 
                newtmpfiles "${FILESDIR}"/${PN}.tmpfile ${PN}.conf

diff --git a/net-dns/knot/knot-3.4.3.ebuild b/net-dns/knot/knot-3.4.3-r1.ebuild
similarity index 98%
rename from net-dns/knot/knot-3.4.3.ebuild
rename to net-dns/knot/knot-3.4.3-r1.ebuild
index 4f77abcd9f47..40e3b8bd878c 100644
--- a/net-dns/knot/knot-3.4.3.ebuild
+++ b/net-dns/knot/knot-3.4.3-r1.ebuild
@@ -150,7 +150,7 @@ src_install() {
        if use daemon; then
                rmdir "${D}/var/run/${PN}" "${D}/var/run/" || die
 
-               newinitd "${FILESDIR}"/knot-2.init knot
+               newinitd "${FILESDIR}"/knot-3.init knot
                newconfd "${FILESDIR}"/knot.confd knot
 
                newtmpfiles "${FILESDIR}"/${PN}.tmpfile ${PN}.conf

Reply via email to